
if(NOT "D:/a/deeplearning4j/deeplearning4j/libnd4j/blasbuild/cpu/mkldnn-download/mkldnn-prefix/src/mkldnn-stamp/mkldnn-gitinfo.txt" IS_NEWER_THAN "D:/a/deeplearning4j/deeplearning4j/libnd4j/blasbuild/cpu/mkldnn-download/mkldnn-prefix/src/mkldnn-stamp/mkldnn-gitclone-lastrun.txt")
  message(STATUS "Avoiding repeated git clone, stamp file is up to date: 'D:/a/deeplearning4j/deeplearning4j/libnd4j/blasbuild/cpu/mkldnn-download/mkldnn-prefix/src/mkldnn-stamp/mkldnn-gitclone-lastrun.txt'")
  return()
endif()

execute_process(
  COMMAND ${CMAKE_COMMAND} -E rm -rf "D:/a/deeplearning4j/deeplearning4j/libnd4j/blasbuild/cpu/mkldnn-src"
  RESULT_VARIABLE error_code
  )
if(error_code)
  message(FATAL_ERROR "Failed to remove directory: 'D:/a/deeplearning4j/deeplearning4j/libnd4j/blasbuild/cpu/mkldnn-src'")
endif()

# try the clone 3 times in case there is an odd git clone issue
set(error_code 1)
set(number_of_tries 0)
while(error_code AND number_of_tries LESS 3)
  execute_process(
    COMMAND "C:/Program Files/Git/bin/git.exe"  clone --no-checkout --config "advice.detachedHead=false" "https://github.com/oneapi-src/oneDNN.git" "mkldnn-src"
    WORKING_DIRECTORY "D:/a/deeplearning4j/deeplearning4j/libnd4j/blasbuild/cpu"
    RESULT_VARIABLE error_code
    )
  math(EXPR number_of_tries "${number_of_tries} + 1")
endwhile()
if(number_of_tries GREATER 1)
  message(STATUS "Had to git clone more than once:
          ${number_of_tries} times.")
endif()
if(error_code)
  message(FATAL_ERROR "Failed to clone repository: 'https://github.com/oneapi-src/oneDNN.git'")
endif()

execute_process(
  COMMAND "C:/Program Files/Git/bin/git.exe"  checkout v1.4 --
  WORKING_DIRECTORY "D:/a/deeplearning4j/deeplearning4j/libnd4j/blasbuild/cpu/mkldnn-src"
  RESULT_VARIABLE error_code
  )
if(error_code)
  message(FATAL_ERROR "Failed to checkout tag: 'v1.4'")
endif()

set(init_submodules TRUE)
if(init_submodules)
  execute_process(
    COMMAND "C:/Program Files/Git/bin/git.exe"  submodule update --recursive --init 
    WORKING_DIRECTORY "D:/a/deeplearning4j/deeplearning4j/libnd4j/blasbuild/cpu/mkldnn-src"
    RESULT_VARIABLE error_code
    )
endif()
if(error_code)
  message(FATAL_ERROR "Failed to update submodules in: 'D:/a/deeplearning4j/deeplearning4j/libnd4j/blasbuild/cpu/mkldnn-src'")
endif()

# Complete success, update the script-last-run stamp file:
#
execute_process(
  COMMAND ${CMAKE_COMMAND} -E copy
    "D:/a/deeplearning4j/deeplearning4j/libnd4j/blasbuild/cpu/mkldnn-download/mkldnn-prefix/src/mkldnn-stamp/mkldnn-gitinfo.txt"
    "D:/a/deeplearning4j/deeplearning4j/libnd4j/blasbuild/cpu/mkldnn-download/mkldnn-prefix/src/mkldnn-stamp/mkldnn-gitclone-lastrun.txt"
  RESULT_VARIABLE error_code
  )
if(error_code)
  message(FATAL_ERROR "Failed to copy script-last-run stamp file: 'D:/a/deeplearning4j/deeplearning4j/libnd4j/blasbuild/cpu/mkldnn-download/mkldnn-prefix/src/mkldnn-stamp/mkldnn-gitclone-lastrun.txt'")
endif()

